package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.MenuInfo;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MenuInfoMapper extends BaseMapper<MenuInfo> {

    List<MenuInfo> queryRoleMenuInfoList(@Param("entity") MenuInfo menuInfo, @Param("roleId") String roleId);

    MenuInfo queryMenuInfo(MenuInfo menuInfo);

    List<MenuInfo> queryMenuInfoList(MenuInfo menuInfo);

    Integer saveMenuInfo(MenuInfo menuInfo);

    void updateMenuInfo(MenuInfo menuInfo);

    void deleteMenuInfo(MenuInfo menuInfo);

    List<MenuInfo> queryMenuInfoPage(Map map);

    Integer queryMenuInfoPageCount(Map map);

    void saveMenuInfoBatch(List<MenuInfo> menuInfoList);

    List<MenuInfo> getPermissionNames(String loginName);

    List<MenuInfo> queryPermitMenuInfoById(Map map);

    List<MenuInfo> queryMenuInfoListOrderById(MenuInfo menuInfo);

    List<MenuInfo> queryMenuInfoByRoleId(Map map);
}

